package cn.iocoder.yudao.module.mes.dal.mysql.feedingrecord;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.feedingrecord.FeedingRecordDetailDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 投料记录明细 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface FeedingRecordDetailMapper extends BaseMapperX<FeedingRecordDetailDO> {

    default List<FeedingRecordDetailDO> selectListByRecordId(Long recordId) {
        return selectList(FeedingRecordDetailDO::getRecordId, recordId);
    }

    default int deleteByRecordId(Long recordId) {
        return delete(FeedingRecordDetailDO::getRecordId, recordId);
    }

}